import request from '@/utils/request'

// 查询零件成本列表
export function listCost(query) {
  return request({
    url: '/system/cost/list',
    method: 'get',
    params: query
  })
}

// 查询零件成本详细
export function getCost(id) {
  return request({
    url: '/system/cost/' + id,
    method: 'get'
  })
}

// 新增零件成本
export function addCost(data) {
  return request({
    url: '/system/cost',
    method: 'post',
    data: data
  })
}

// 修改零件成本
export function updateCost(data) {
  return request({
    url: '/system/cost',
    method: 'put',
    data: data
  })
}

// 删除零件成本
export function delCost(id) {
  return request({
    url: '/system/cost/' + id,
    method: 'delete'
  })
}
